# MCS_PCin Class Reference

`#include <mcs.h>`

Inheritance diagram for MCS_PCin:

List of all members.

## Public Member Functions

| MCS_PCin (unsigned tag=4, TagClass tagClass=ApplicationTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

MCS_ArrayOf_UserId | m_detachUserIds
MCS_ArrayOf_ChannelId | m_purgeChannelIds

## Constructor & Destructor Documentation

MCS_PCin::MCS_PCin | ( | unsigned | tag = `4`,
|  | TagClass | tagClass = `ApplicationTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX MCS_PCin::GetDataLength | ( |  | ) | const

PBoolean MCS_PCin::Decode | ( | PASN_Stream & | strm | ) |

void MCS_PCin::Encode | ( | PASN_Stream & | strm | ) | const

void MCS_PCin::PrintOn | ( | ostream & | strm | ) | const

Comparison MCS_PCin::Compare | ( | const PObject & | obj | ) | const

PObject* MCS_PCin::Clone | ( |  | ) | const

## Member Data Documentation

MCS_ArrayOf_UserId MCS_PCin::m_detachUserIds

MCS_ArrayOf_ChannelId MCS_PCin::m_purgeChannelIds

The documentation for this class was generated from the following file:

- mcs.h